<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: User Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_user-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">User Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_user_8h_source.html">User.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for User:</div>
<div class="dyncontent">
<div class="center"><img src="class_user__inherit__graph.png" border="0" usemap="#_user_inherit__map" alt="Inheritance graph"/></div>
<map name="_user_inherit__map" id="_user_inherit__map">
<area shape="rect" id="node3" href="class_admin.html" title="A library user who is also an admin (i.e can manage books of library) " alt="" coords="7,155,66,181"/>
<area shape="rect" id="node2" href="class_person.html" title="Wrap for generic person personal info. " alt="" coords="5,5,68,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for User:</div>
<div class="dyncontent">
<div class="center"><img src="class_user__coll__graph.png" border="0" usemap="#_user_coll__map" alt="Collaboration graph"/></div>
<map name="_user_coll__map" id="_user_coll__map">
<area shape="rect" id="node2" href="class_person.html" title="Wrap for generic person personal info. " alt="" coords="5,5,68,32"/>
<area shape="rect" id="node3" href="class_database.html" title="Database\&lt; Book \&gt;" alt="" coords="92,5,224,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae78803d1d577c2450b50cff54bf9ec07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#ae78803d1d577c2450b50cff54bf9ec07">User</a> (std::string name, std::string surname, QDate date, std::string email)</td></tr>
<tr class="memdesc:ae78803d1d577c2450b50cff54bf9ec07"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_user.html">User</a> New <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> with email and optional date of birth.  <a href="#ae78803d1d577c2450b50cff54bf9ec07">More...</a><br /></td></tr>
<tr class="separator:ae78803d1d577c2450b50cff54bf9ec07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99cadf8dd70a9dcc752b7f1df0af809d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a99cadf8dd70a9dcc752b7f1df0af809d">User</a> (std::string email)</td></tr>
<tr class="separator:a99cadf8dd70a9dcc752b7f1df0af809d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018a343a483ee5d702fc11c3d6383ac7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a018a343a483ee5d702fc11c3d6383ac7">User</a> (const <a class="el" href="class_user.html">User</a> &amp;u)</td></tr>
<tr class="memdesc:a018a343a483ee5d702fc11c3d6383ac7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_user.html">User</a> deep copy of user.  <a href="#a018a343a483ee5d702fc11c3d6383ac7">More...</a><br /></td></tr>
<tr class="separator:a018a343a483ee5d702fc11c3d6383ac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace19848c26b4b131c6f7b48d7b146ffc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#ace19848c26b4b131c6f7b48d7b146ffc">isAdmin</a> ()</td></tr>
<tr class="memdesc:ace19848c26b4b131c6f7b48d7b146ffc"><td class="mdescLeft">&#160;</td><td class="mdescRight">isAdmin checks whether user is an admin  <a href="#ace19848c26b4b131c6f7b48d7b146ffc">More...</a><br /></td></tr>
<tr class="separator:ace19848c26b4b131c6f7b48d7b146ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691b2225590d655a5ffea2b03402e125"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a691b2225590d655a5ffea2b03402e125">reserveBook</a> (<a class="el" href="class_book.html">Book</a> *book)</td></tr>
<tr class="separator:a691b2225590d655a5ffea2b03402e125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa194caf9ec2a069de06d7d0b388e6b5d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#aa194caf9ec2a069de06d7d0b388e6b5d">returnBook</a> (<a class="el" href="class_book.html">Book</a> *book)</td></tr>
<tr class="separator:aa194caf9ec2a069de06d7d0b388e6b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01f3ad7431073992a545da9660fa3ad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#aa01f3ad7431073992a545da9660fa3ad">isBookReservedByUser</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:aa01f3ad7431073992a545da9660fa3ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9a76bda3d20fb82db91855be66d620"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#adb9a76bda3d20fb82db91855be66d620">isBookInWishlist</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:adb9a76bda3d20fb82db91855be66d620"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003a00af12fe873041488375f8abdccb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a003a00af12fe873041488375f8abdccb">setEmail</a> (std::string email)</td></tr>
<tr class="separator:a003a00af12fe873041488375f8abdccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9647677311d12cea36d96591f31237c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a9647677311d12cea36d96591f31237c6">addBookToWishList</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="memdesc:a9647677311d12cea36d96591f31237c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">appends book to list of books user wants to read  <a href="#a9647677311d12cea36d96591f31237c6">More...</a><br /></td></tr>
<tr class="separator:a9647677311d12cea36d96591f31237c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f821b3d4a692cf9f51439d428eedc65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a1f821b3d4a692cf9f51439d428eedc65">removeBookFromWishList</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="memdesc:a1f821b3d4a692cf9f51439d428eedc65"><td class="mdescLeft">&#160;</td><td class="mdescRight">removes book from list of books user wants to read  <a href="#a1f821b3d4a692cf9f51439d428eedc65">More...</a><br /></td></tr>
<tr class="separator:a1f821b3d4a692cf9f51439d428eedc65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00601492ab5e28c33d67a0d49b432150"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a00601492ab5e28c33d67a0d49b432150">getEmail</a> () const </td></tr>
<tr class="memdesc:a00601492ab5e28c33d67a0d49b432150"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets user email  <a href="#a00601492ab5e28c33d67a0d49b432150">More...</a><br /></td></tr>
<tr class="separator:a00601492ab5e28c33d67a0d49b432150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77b858ec6e7b02a3893613f9ba7fd95a"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a77b858ec6e7b02a3893613f9ba7fd95a">getWishList</a> () const </td></tr>
<tr class="separator:a77b858ec6e7b02a3893613f9ba7fd95a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac60139fa8d8dd4804936ffcb8bfdca45"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#ac60139fa8d8dd4804936ffcb8bfdca45">getLoans</a> () const </td></tr>
<tr class="separator:ac60139fa8d8dd4804936ffcb8bfdca45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bedf75049198d6218bd77f6df897c99"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_user.html">User</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a2bedf75049198d6218bd77f6df897c99">operator=</a> (const <a class="el" href="class_user.html">User</a> &amp;u)</td></tr>
<tr class="memdesc:a2bedf75049198d6218bd77f6df897c99"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator = <a class="el" href="class_user.html">User</a> deep copy of person  <a href="#a2bedf75049198d6218bd77f6df897c99">More...</a><br /></td></tr>
<tr class="separator:a2bedf75049198d6218bd77f6df897c99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e787f019ae942181d625c94290d5972"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#a2e787f019ae942181d625c94290d5972">operator==</a> (const <a class="el" href="class_user.html">User</a> &amp;other) const </td></tr>
<tr class="memdesc:a2e787f019ae942181d625c94290d5972"><td class="mdescLeft">&#160;</td><td class="mdescRight">equals 2 users by comparing emails  <a href="#a2e787f019ae942181d625c94290d5972">More...</a><br /></td></tr>
<tr class="separator:a2e787f019ae942181d625c94290d5972"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed9ecdccccc81a597b3e2aac099a9a2f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#aed9ecdccccc81a597b3e2aac099a9a2f">operator!=</a> (const <a class="el" href="class_user.html">User</a> &amp;other) const </td></tr>
<tr class="memdesc:aed9ecdccccc81a597b3e2aac099a9a2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">equals 2 users by comparing emails  <a href="#aed9ecdccccc81a597b3e2aac099a9a2f">More...</a><br /></td></tr>
<tr class="separator:aed9ecdccccc81a597b3e2aac099a9a2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_person"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_person')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_person.html">Person</a></td></tr>
<tr class="memitem:a27a7b19cdace6de9a04ce0d06fec7957 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a27a7b19cdace6de9a04ce0d06fec7957">Person</a> (std::string name, std::string surname, QDate date)</td></tr>
<tr class="memdesc:a27a7b19cdace6de9a04ce0d06fec7957 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> default constructor with name, surname and date of birth.  <a href="#a27a7b19cdace6de9a04ce0d06fec7957">More...</a><br /></td></tr>
<tr class="separator:a27a7b19cdace6de9a04ce0d06fec7957 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a847845e2e214a89e790c584678f1ea97 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a847845e2e214a89e790c584678f1ea97">Person</a> (const <a class="el" href="class_person.html">Person</a> &amp;p)</td></tr>
<tr class="memdesc:a847845e2e214a89e790c584678f1ea97 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person.  <a href="#a847845e2e214a89e790c584678f1ea97">More...</a><br /></td></tr>
<tr class="separator:a847845e2e214a89e790c584678f1ea97 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae046bc90711195d83799f81e096ad503 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_person.html">Person</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ae046bc90711195d83799f81e096ad503">operator=</a> (const <a class="el" href="class_person.html">Person</a> &amp;p)</td></tr>
<tr class="memdesc:ae046bc90711195d83799f81e096ad503 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator = <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> deep copy of person  <a href="#ae046bc90711195d83799f81e096ad503">More...</a><br /></td></tr>
<tr class="separator:ae046bc90711195d83799f81e096ad503 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a700ffd693321c5fe6880262acf43d4da inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a700ffd693321c5fe6880262acf43d4da"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a700ffd693321c5fe6880262acf43d4da">~Person</a> ()</td></tr>
<tr class="memdesc:a700ffd693321c5fe6880262acf43d4da inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">~Person Destroy person fields <br /></td></tr>
<tr class="separator:a700ffd693321c5fe6880262acf43d4da inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c6a2bfb43c790bc8260933bd847a582 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a7c6a2bfb43c790bc8260933bd847a582">operator==</a> (const <a class="el" href="class_person.html">Person</a> &amp;other) const </td></tr>
<tr class="memdesc:a7c6a2bfb43c790bc8260933bd847a582 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual because there can be 2 persons with same name and surname and date of birth  <a href="#a7c6a2bfb43c790bc8260933bd847a582">More...</a><br /></td></tr>
<tr class="separator:a7c6a2bfb43c790bc8260933bd847a582 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f47029402c26c3643d23ef04695bb1 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ae4f47029402c26c3643d23ef04695bb1">operator!=</a> (const <a class="el" href="class_person.html">Person</a> &amp;other) const </td></tr>
<tr class="memdesc:ae4f47029402c26c3643d23ef04695bb1 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual because there can be 2 persons with same name and surname and date of birth  <a href="#ae4f47029402c26c3643d23ef04695bb1">More...</a><br /></td></tr>
<tr class="separator:ae4f47029402c26c3643d23ef04695bb1 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e438f456d3ae6f5b477931c0a6aeba inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ad6e438f456d3ae6f5b477931c0a6aeba">setName</a> (std::string name)</td></tr>
<tr class="memdesc:ad6e438f456d3ae6f5b477931c0a6aeba inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new name  <a href="#ad6e438f456d3ae6f5b477931c0a6aeba">More...</a><br /></td></tr>
<tr class="separator:ad6e438f456d3ae6f5b477931c0a6aeba inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6a9ce78af39382fbab39f64319c7cde inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#af6a9ce78af39382fbab39f64319c7cde">setSurname</a> (std::string surname)</td></tr>
<tr class="memdesc:af6a9ce78af39382fbab39f64319c7cde inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new surname  <a href="#af6a9ce78af39382fbab39f64319c7cde">More...</a><br /></td></tr>
<tr class="separator:af6a9ce78af39382fbab39f64319c7cde inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a172e5a16b36e2aa9dfec68b289e1747b inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a172e5a16b36e2aa9dfec68b289e1747b">setDateOfBirth</a> (QDate dateOfBirth)</td></tr>
<tr class="memdesc:a172e5a16b36e2aa9dfec68b289e1747b inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">set new date of birth  <a href="#a172e5a16b36e2aa9dfec68b289e1747b">More...</a><br /></td></tr>
<tr class="separator:a172e5a16b36e2aa9dfec68b289e1747b inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c7e40e02bfa616e17a0c332dd248eb inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#ac0c7e40e02bfa616e17a0c332dd248eb">getName</a> () const </td></tr>
<tr class="memdesc:ac0c7e40e02bfa616e17a0c332dd248eb inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets name  <a href="#ac0c7e40e02bfa616e17a0c332dd248eb">More...</a><br /></td></tr>
<tr class="separator:ac0c7e40e02bfa616e17a0c332dd248eb inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f24e2654e52db9c1f1c368a13135ae1 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a7f24e2654e52db9c1f1c368a13135ae1">getSurname</a> () const </td></tr>
<tr class="memdesc:a7f24e2654e52db9c1f1c368a13135ae1 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets surname  <a href="#a7f24e2654e52db9c1f1c368a13135ae1">More...</a><br /></td></tr>
<tr class="separator:a7f24e2654e52db9c1f1c368a13135ae1 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6958ae5c891dee615a0802bbefd7bc24 inherit pub_methods_class_person"><td class="memItemLeft" align="right" valign="top">QDate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_person.html#a6958ae5c891dee615a0802bbefd7bc24">getDateOfBirth</a> () const </td></tr>
<tr class="memdesc:a6958ae5c891dee615a0802bbefd7bc24 inherit pub_methods_class_person"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets date of birth  <a href="#a6958ae5c891dee615a0802bbefd7bc24">More...</a><br /></td></tr>
<tr class="separator:a6958ae5c891dee615a0802bbefd7bc24 inherit pub_methods_class_person"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa8a642e5ba1f9ae343354cb649f753db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8a642e5ba1f9ae343354cb649f753db"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>amIAdmin</b> = false</td></tr>
<tr class="separator:aa8a642e5ba1f9ae343354cb649f753db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac35b7c63228119cb91acdbd7ed32b8cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac35b7c63228119cb91acdbd7ed32b8cb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>email</b></td></tr>
<tr class="separator:ac35b7c63228119cb91acdbd7ed32b8cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a557a69cdb6f9cf249c15c991535016b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a557a69cdb6f9cf249c15c991535016b5"></a>
<a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>wishList</b></td></tr>
<tr class="separator:a557a69cdb6f9cf249c15c991535016b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d118d66c1851a40670a9decf2637eee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d118d66c1851a40670a9decf2637eee"></a>
<a class="el" href="class_database.html">Database</a>&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>loans</b></td></tr>
<tr class="separator:a0d118d66c1851a40670a9decf2637eee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:abb55390a7a06b68712454a753a3064d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb55390a7a06b68712454a753a3064d2"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>IOStream</b></td></tr>
<tr class="separator:abb55390a7a06b68712454a753a3064d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d60bd88c6015b93b7449e4cc7bffc8"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#ad1d60bd88c6015b93b7449e4cc7bffc8">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_user.html">User</a> &amp;user)</td></tr>
<tr class="memdesc:ad1d60bd88c6015b93b7449e4cc7bffc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#ad1d60bd88c6015b93b7449e4cc7bffc8">More...</a><br /></td></tr>
<tr class="separator:ad1d60bd88c6015b93b7449e4cc7bffc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d424b92bfea1466791a926ffb4cacb"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user.html#ac9d424b92bfea1466791a926ffb4cacb">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_user.html">User</a> *user)</td></tr>
<tr class="memdesc:ac9d424b92bfea1466791a926ffb4cacb"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#ac9d424b92bfea1466791a926ffb4cacb">More...</a><br /></td></tr>
<tr class="separator:ac9d424b92bfea1466791a926ffb4cacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. <a class="el" href="class_user.html">User</a> of app </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae78803d1d577c2450b50cff54bf9ec07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">User::User </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>surname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QDate&#160;</td>
          <td class="paramname"><em>date</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>email</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_user.html">User</a> New <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> with email and optional date of birth. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of person </td></tr>
    <tr><td class="paramname">surname</td><td>surname of person </td></tr>
    <tr><td class="paramname">date</td><td>date of birth of person </td></tr>
    <tr><td class="paramname">email</td><td>email to register user</td></tr>
  </table>
  </dd>
</dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="a99cadf8dd70a9dcc752b7f1df0af809d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">User::User </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>email</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New <a class="el" href="class_person.html" title="Wrap for generic person personal info. ">Person</a> with email and optional date of birth </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">email</td><td>email to register user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a018a343a483ee5d702fc11c3d6383ac7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">User::User </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> &amp;&#160;</td>
          <td class="paramname"><em>u</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_user.html">User</a> deep copy of user. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b</td><td>user to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9647677311d12cea36d96591f31237c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void User::addBookToWishList </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>appends book to list of books user wants to read </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to add </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a00601492ab5e28c33d67a0d49b432150"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string User::getEmail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets user email </p>
<dl class="section return"><dt>Returns</dt><dd>user email </dd></dl>

</div>
</div>
<a class="anchor" id="ac60139fa8d8dd4804936ffcb8bfdca45"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; User::getLoans </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets list of books loaned to user </p><dl class="section return"><dt>Returns</dt><dd>list of books loaned to user </dd></dl>

</div>
</div>
<a class="anchor" id="a77b858ec6e7b02a3893613f9ba7fd95a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; User::getWishList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets list of books user wants to read </p><dl class="section return"><dt>Returns</dt><dd>list of books user wants to read </dd></dl>

</div>
</div>
<a class="anchor" id="ace19848c26b4b131c6f7b48d7b146ffc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::isAdmin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>isAdmin checks whether user is an admin </p>
<dl class="section return"><dt>Returns</dt><dd>true iff user is an admin </dd></dl>

</div>
</div>
<a class="anchor" id="adb9a76bda3d20fb82db91855be66d620"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::isBookInWishlist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if given book is user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to check in user wishlist </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff user is in user wishlist </dd></dl>

</div>
</div>
<a class="anchor" id="aa01f3ad7431073992a545da9660fa3ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::isBookReservedByUser </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if given book is reserved by user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to check in user reservations </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff user is reserving this book </dd></dl>

</div>
</div>
<a class="anchor" id="aed9ecdccccc81a597b3e2aac099a9a2f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>equals 2 users by comparing emails </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 users are different </dd></dl>

</div>
</div>
<a class="anchor" id="a2bedf75049198d6218bd77f6df897c99"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_user.html">User</a> &amp; User::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> &amp;&#160;</td>
          <td class="paramname"><em>u</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>operator = <a class="el" href="class_user.html">User</a> deep copy of person </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u</td><td>user to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>deep copy of user </dd></dl>

</div>
</div>
<a class="anchor" id="a2e787f019ae942181d625c94290d5972"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>equals 2 users by comparing emails </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 users are the same </dd></dl>

</div>
</div>
<a class="anchor" id="a1f821b3d4a692cf9f51439d428eedc65"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void User::removeBookFromWishList </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>removes book from list of books user wants to read </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a691b2225590d655a5ffea2b03402e125"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::reserveBook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a> *&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reserve given book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to reserve </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff operation went well </dd></dl>

</div>
</div>
<a class="anchor" id="aa194caf9ec2a069de06d7d0b388e6b5d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool User::returnBook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a> *&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return given book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to return to library </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff operation went well </dd></dl>

</div>
</div>
<a class="anchor" id="a003a00af12fe873041488375f8abdccb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void User::setEmail </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>email</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets user email </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">email</td><td>email to register user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="ad1d60bd88c6015b93b7449e4cc7bffc8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> &amp;&#160;</td>
          <td class="paramname"><em>user</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<a class="anchor" id="ac9d424b92bfea1466791a926ffb4cacb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_user.html">User</a> *&#160;</td>
          <td class="paramname"><em>user</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">object</td><td>to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>models/People/User/<a class="el" href="_user_8h_source.html">User.h</a></li>
<li>models/People/User/User.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_user.html">User</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
